Page MenuHomePhabricator

Document new store design and implementations
Closed, ResolvedPublic

Description

  • Explain the design of the Schema
  • Explain the design of the Interfaces
  • Explain Replica/Master race-conditions cases and the implemented solutions
  • Explain Wiring up in Wikibase

Event Timeline

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:37 PM
alaa_wmde moved this task from Backlog to Todo: Focus on the User-Alaa board.
alaa_wmde set the point value for this task to 1.Jul 22 2019, 9:11 AM
alaa_wmde removed a project: Wikidata.
alaa_wmde removed the point value for this task.Jul 22 2019, 1:09 PM
alaa_wmde renamed this task from Add .wiki documentation for new store to Document new store design and implementations.Jul 22 2019, 1:12 PM
alaa_wmde moved this task from Todo: Focus to Backlog on the User-Alaa board.Jul 22 2019, 2:17 PM
Addshore claimed this task.Oct 30 2019, 1:35 PM
Addshore added a subscriber: Addshore.

Going to take this on and write some stuff as I am reviewing currently worked on terms stuff

Restricted Application added projects: Wikidata, User-Addshore. · View Herald TranscriptOct 30 2019, 1:35 PM

Change 547545 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] new term storage docs

https://gerrit.wikimedia.org/r/547545

Change 547545 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] new term storage docs

https://gerrit.wikimedia.org/r/547545

@alaa_wmde @Ladsgroup do you think we want want another pass at this to dig into some of the deeper db related code?

Change 555923 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] docs, term-storage include sample query with joins

https://gerrit.wikimedia.org/r/555923

Change 555923 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] docs, term-storage include sample query with joins

https://gerrit.wikimedia.org/r/555923

Change 555929 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] docs, term-storage, refer to Q123 instead of Q1 for clarity

https://gerrit.wikimedia.org/r/555929

Change 555931 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] docs, term-storage, switch from <pre> to `

https://gerrit.wikimedia.org/r/555931

Change 555929 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] docs, term-storage, refer to Q123 instead of Q1 for clarity

https://gerrit.wikimedia.org/r/555929

Change 555931 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] docs, term-storage, switch from <pre> to `

https://gerrit.wikimedia.org/r/555931

Change 558599 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] WIP docs, term-storage, how things get written

https://gerrit.wikimedia.org/r/558599

Change 560523 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] docs, storage docs for all SQL tables

https://gerrit.wikimedia.org/r/560523

Change 560523 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] docs, storage docs for all SQL tables

https://gerrit.wikimedia.org/r/560523

Change 560843 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] term storage docs & refactoring (Addshore final)

https://gerrit.wikimedia.org/r/560843

Change 560843 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] term storage docs & refactoring (Addshore final)

https://gerrit.wikimedia.org/r/560843

I'm going to add some more things to the docs that I found on some tickets covering the migration for tool developers.
This will include a few more example queries etc.

Change 558599 abandoned by Addshore:
WIP docs, term-storage, how things get written

https://gerrit.wikimedia.org/r/558599

Change 569618 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] docs: Further term storage docs

https://gerrit.wikimedia.org/r/569618

Change 569618 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] docs: Further term storage docs

https://gerrit.wikimedia.org/r/569618

Addshore closed this task as Resolved.Feb 18 2020, 10:36 AM

Change 575701 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] docs: document slight changes to term storage

https://gerrit.wikimedia.org/r/575701

Change 575701 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] docs: document slight changes to term storage

https://gerrit.wikimedia.org/r/575701